<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetErrorString Method (IEdmVault5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmVault5 Interface : GetErrorString Method (IEdmVault5)

Visual Basic
C#
C++/CLI

lError
  Error code for which to get a description

pbsErrorName
  Error name as defined in Return codes; hexadecimal number if the error is unknown

pbsDescription
  Description of the error

Gets the name and description for the specified error code returned by one of SOLIDWORKS PDM Professional's API methods.

# Syntax

Visual Basic |
--- | ---

    Sub GetErrorString( _
       ByVal lError As System.Integer, _
       Optional ByRef pbsErrorName As System.String, _
       Optional ByRef pbsDescription As System.String _
    )

C# |
--- | ---

    void GetErrorString(
       System.int lError,
       out System.string pbsErrorName,
       out System.string pbsDescription
    )

C++/CLI |
--- | ---

    void GetErrorString(
    &   System.int lError,
    &   [Out] System.String^ pbsErrorName,
    &   [Out] System.String^ pbsDescription
    )

#### Parameters

lError
  Error code for which to get a description
pbsErrorName
  Error name as defined in Return codes; hexadecimal number if the error is unknown
pbsDescription
  Description of the error

# Example

Batch Add Files and Folders to Vault (VB.NET)
Batch Add Files and Folders to Vault (C#)

# Remarks

You do not have to be logged in to the vault to call this method.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmVault5 Interface
IEdmVault5 Members
IEdmVault11::GetErrorMessage Method ()
IEdmVault11::GetErrorName Method ()

# Availability

SOLIDWORKS PDM Professional Version 5.2